mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum System.Flags System.Runtime.InteropServices.ComVisible(true)

This enumeration is used with the method.

Indicates how an assembly should be produced.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibImporterFlags

  Imports a type library for any platform.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibImporterFlags

  Imports a type library for the Itanium platform.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibImporterFlags

  Imports a type library for the x86 64-bit platform.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibImporterFlags

  Imports a type library for the x86 platform.

- Field
  4.0.0.0
  System.Runtime.InteropServices.TypeLibImporterFlags

  Prevents inclusion of a version resource in the interop assembly. For more information, see the method.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibImporterFlags

  No special settings. This is the default.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibImporterFlags

  Not used.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibImporterFlags To be added

  Generates a primary interop assembly. For more information, see the attribute. A keyfile must be specified.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibImporterFlags

  Uses reflection-only loading.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibImporterFlags To be added

  Imports all SAFEARRAY instances as instead of typed, single-dimensional, zero-based managed arrays. This option is useful when dealing with multi-dimensional, non-zero-based SAFEARRAY instances, which otherwise cannot be accessed unless you edit the resulting assembly by using the MSIL Disassembler (Ildasm.exe) and MSIL Assembler (Ilasm.exe) tools.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibImporterFlags

  Uses serializable classes.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibImporterFlags TransformDispRetVals To be added.

  Transforms [out, retval] parameters of methods on dispatch-only interfaces (dispinterface) into return values.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibImporterFlags To be added

  Imports all interfaces as interfaces that suppress the common language runtime's stack crawl for permission. Be sure you understand the responsibilities associated with suppressing this security check.